Ignore:
Timestamp:
Aug 25, 2011, 2:22:01 PM (8 years ago)
Author:
jmr@…
Message:

python portgroup: only set replaced_by when default_version is 24

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/_resources/port1.0/group/python-1.0.tcl

    r82388 r83074  
    8585            distfiles
    8686            supported_archs noarch
    87             replaced_by py[option python.default_version][string trimleft $name py]
    88             depends_lib port:py[option python.default_version][string trimleft $name py]
     87            global python.default_version
     88            if {${python.default_version} == "24"} {
     89                replaced_by py24[string trimleft $name py]
     90            }
     91            depends_lib port:py${python.default_version}[string trimleft $name py]
    8992            build {}
    9093            destroot {
     
    103106    if {[string match py-* $name]} {
    104107        if {$subport == $name || $subport == ""} {
    105             replaced_by py[option python.default_version][string trimleft $name py]
    106             depends_lib port:py[option python.default_version][string trimleft $name py]
     108            global python.default_version
     109            if {${python.default_version} == "24"} {
     110                replaced_by py24[string trimleft $name py]
     111            }
     112            depends_lib port:py${python.default_version}[string trimleft $name py]
    107113        }
    108114    } else {
Note: See TracChangeset for help on using the changeset viewer.